Bug 1314605 - xfs with kernel >= 4.4 fails to mount if repaired by xfsprogs < 4.3.0
xfs with kernel >= 4.4 fails to mount if repaired by xfsprogs < 4.3.0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfsprogs (Show other bugs)
23
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 22:34 EST by Neil
Modified: 2016-06-06 03:56 EDT (History)
7 users (show)

See Also:
Fixed In Version: xfsprogs-4.3.0-1.fc23 xfsprogs-4.3.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 17:21:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil 2016-03-03 22:34:18 EST
Using a testing partition filled with test data, I noticed that using xfs_repair will produce the following

[  742.130793] XFS (sdb1): Mounting V5 Filesystem
[  743.518017] XFS (sdb1): Corruption warning: Metadata has LSN (1:19) ahead of current LSN (1:2). Please unmount and run xfs_repair (>= v4.3) to resolve.
[  743.518029] XFS (sdb1): log mount/recovery failed: error -22
[  743.518132] XFS (sdb1): log mount failed



Since xfs_repair caused the bug, running xfs_repair will not fix it, at least not in fedora.
If you run xfs_repair in the same disk but using for example the latest GParted live iso it'll let your disk repaired, clean and working flawlessly (I also tried to fix it with a Fedora 23 netinstall iso but I had no luck). 

If you run xfs_repair using a live iso that isn't working with kernel 4.3 it'll repair the the disk but once mounted again in fedora, it'll ask to be unmounted and cleaned using xfs_repair, but then again you'll face the same problem from above.

I tried everything, even xfs_repair -L, but fedora will no repair the disk, fortunately, it'll not damage your data neither (at least not in my experience), but you'll not be able to mount your partition. 




This was tested with Fedora 23 Kernel 4.4.3-300.fc23.x86_64, and fixed with GParted 0.25.0-3 (based on Debian Sid) Kernel 4.3.5-1
Comment 1 Fedora Update System 2016-03-04 09:37:24 EST
xfsprogs-4.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-462b3247db
Comment 2 Fedora Update System 2016-03-04 11:28:01 EST
xfsprogs-4.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-71be756bbe
Comment 3 Eric Sandeen 2016-03-04 12:50:33 EST
Changing bug subject, as there is no data corruption occurring.
Comment 4 Fedora Update System 2016-03-04 21:20:11 EST
xfsprogs-4.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-71be756bbe
Comment 5 Fedora Update System 2016-03-04 21:22:39 EST
xfsprogs-4.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-462b3247db
Comment 6 Roman 2016-03-05 09:38:48 EST
Hello guys, I can confirm, that package xfsprogs-4.3.0-1.fc23 does the job well :)

My story:

Today I started Fedora 23 Plasma spin (kernel 4.4.3.300) with LUKS in use, worked for few minutes, laptop has got frozen completely including other consoles. So I had to reset it. After reboot my home logical volume was affected unfortunately. Therefore Fedora 23 went to rescue mode and I had to comment out home mount point in /etc/fstab and reboot laptop to start fedora normally.

Then I went through very similar scenario as Neil went. Until I figured out, that dmesg provides suggestion to use newer xfsprogs...

Then I logged under root and:

# Query xfsprogs version before:
rpm -qa|grep xfs
#xfsprogs-3.2.4-1.fc23.x86_64

# Installing new xfs progs
dnf update xfsprogs -y --enablerepo=updates-testing

# Query xfsprogs version after:
rpm -qa|grep xfs
#xfsprogs-4.3.0-1.fc23.x86_64

Then I had to look for device used for my home in fstab and done following:
xfs_repair -v /dev/mapper/luks-16f8e3b3-869e-4644-927c-7a48ebc3e2bf

Then I uncommented home entry in fstab and did "mount -a" and it worked. Tried reboot, works also fine :)
Comment 7 Fedora Update System 2016-03-05 17:21:13 EST
xfsprogs-4.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-03-11 19:50:28 EST
xfsprogs-4.3.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.